## wifi-dw1820b-dkms 1.2

=== wifi-dw1820b/drivers/media/platform/omap/Makefile ===
#
# Makefile for the omap video device drivers.
#

# OMAP2/3 Display driver
omap-vout-y += omap_vout.o omap_voutlib.o
omap-vout-$(CPTCFG_VIDEO_OMAP2_VOUT_VRFB) += omap_vout_vrfb.o
obj-$(CPTCFG_VIDEO_OMAP2_VOUT) += omap-vout.o

=== wifi-dw1820b/drivers/net/ethernet/intel/igb/Makefile ===
################################################################################
#
# Intel 82575 PCI-Express Ethernet Linux driver
# Copyright(c) 1999 - 2014 Intel Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, see <http://www.gnu.org/licenses/>.
#
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# Linux NICS <linux.nics@intel.com>
# e1000-devel Mailing List <e1000-devel@lists.sourceforge.net>
# Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497
#
################################################################################

#
# Makefile for the Intel(R) 82575 PCI-Express ethernet driver
#

obj-$(CPTCFG_IGB) += igb.o

igb-objs := igb_main.o igb_ethtool.o e1000_82575.o \
	    e1000_mac.o e1000_nvm.o e1000_phy.o e1000_mbx.o \
	    e1000_i210.o igb_ptp.o igb_hwmon.o

=== debian/changelog ===
wifi-dw1820b-dkms (1.2) trusty; urgency=medium

  * Bump version

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 25 Nov 2016 15:23:24 +0800

wifi-dw1820b-dkms (1.1) trusty; urgency=medium

  * Add BUILD_EXCLUSIVE_KERNEL to dkms.conf (LP: #1629803)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 10 Nov 2016 10:58:27 +0800

wifi-dw1820b-dkms (1.0) trusty; urgency=low

  * DW1820B WiFi DKMS driver. (LP: #1430183)
  * Add "options ath10k_core skip_otp=1" in modprobe config file.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Mon, 15 Jun 2015 17:19:04 +0800

=== debian/control ===
Source: wifi-dw1820b-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: wifi-dw1820b-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: wifi-dw1820b driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=wifi-dw1820b
NAME=wifi-dw1820b
VERSION=1.2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_install
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
